#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, k;
    cin >> n >> k;
    int unos, i, niz[n * 2 + 1], polomljeno = 0;
    for(i = 0; i < n * 2 + 1; i++){
        niz[i] = 0;
    }
    for(i = 0; i < n; i++){
        cin >> unos;
        niz[n + unos]++;
        if(niz[n + unos] == k){
            polomljeno++;
        }
    }
    cout << polomljeno << endl;
    for(i = 0; i < n * 2 + 1; i++){
        if(niz[i] >= k){
            cout << i - n << " ";
        }
    }
    return 0;
}